import {TypographyStylesProvider, TypographyStylesProviderProps} from "@mantine/core";
import classes from "./index.module.css";
import sanitizeHtml from 'sanitize-html';

export default function InnerHtml({html, ...props}: { html: string } & TypographyStylesProviderProps) {
    return <>
        <TypographyStylesProvider {...props}>
            <div
                className={classes.customHtml}
                dangerouslySetInnerHTML={{__html: sanitizeHtml(html)}}
            />
        </TypographyStylesProvider>
    </>
}