import {Avatar, AvatarProps} from "@mantine/core";
import {usePB} from "@/lib/pocketbase.tsx";
import React from "react";
import {RecordModel} from "pocketbase";


const PBAvatar = React.forwardRef<
    HTMLDivElement, { name: string, img: string | null, model: RecordModel } & AvatarProps
>(({model, img, name, ...props}, ref) => {
    const {pb} = usePB()
    const avatarSrc = img ? pb.files.getUrl(model, img) : null
    return <Avatar
        ref={ref}
        src={avatarSrc}
        alt={name}
        color={"blue"}
        radius="xl"
        {...props}
    >
        {name.slice(0, 2).toUpperCase()}
    </Avatar>
})

PBAvatar.displayName = 'PBAvatar'

export default PBAvatar