import {List, Text, Tooltip} from "@mantine/core";
import {IconUsersGroup} from "@tabler/icons-react";
import {LdapGroupModel} from "@/models/AuthTypes.ts";

export default function LdapGroupsDisplay({groups}: { groups: LdapGroupModel[] }) {
    return <    >

        <List size={"sm"}
              icon={<IconUsersGroup size={16}/>}
        >
            {
                groups.map((group) => (
                    <List.Item key={group.id}>
                        <Tooltip label={group.description}>
                            <Text fw={500}>{group.cn}</Text>
                        </Tooltip>
                    </List.Item>
                ))
            }
        </List>
    </>
}