import {UserModal} from "@/models/AuthTypes.ts";
import {List} from "@mantine/core";
import {IconUser} from "@tabler/icons-react";
import {usePB} from "@/lib/pocketbase.tsx";

export default function UsersDisplay({users}: { users: UserModal[] }) {

    const {user} = usePB()

    return <>
        <List size={"sm"} icon={<IconUser size={16}/>}>
            {
                users.map((u) => (
                    <List.Item key={u.id} fw={500} c={user && user.id == u.id ? "green" : ""}>
                        {u.username}
                    </List.Item>
                ))
            }
        </List>
    </>
}