import {
    IconAt,
    IconCalendarMonth,
    IconCalendarTime,
    IconCheckbox,
    IconCursorText,
    IconHash,
    IconList
} from "@tabler/icons-react";
import {FieldDataType} from "./formBuilder/types.ts";
import {TablerIconProps} from "@/lib/helperTypes.ts";

const FormTypeIcon = ({fieldType, ...props}: { fieldType: FieldDataType } & TablerIconProps) => {
    switch (fieldType) {
        case "text":
            return <IconCursorText {...props}/>
        case "email":
            return <IconAt {...props}/>
        case "number":
            return <IconHash {...props}/>
        case "date":
            return <IconCalendarTime {...props}/>
        case "date-range":
            return <IconCalendarMonth {...props}/>
        case "select":
            return <IconList{...props}/>
        case "checkbox":
            return <IconCheckbox{...props}/>
    }
}

export default FormTypeIcon;
