export type FieldEntry =
    DateFieldEntry
    | TextFieldEntry
    | EmailFieldEntry
    | NumberFieldEntry
    | SelectFieldEntry
    | CheckboxFieldEntry
    | DateRangeFieldEntry


export type FieldEntryFilter =
    DateFieldEntryFilter
    | TextFieldEntryFilter
    | EmailFieldEntryFilter
    | NumberFieldEntryFilter
    | SelectFieldEntryFilter
    | CheckboxFieldEntryFilter
    | DateRangeFieldEntryFilter


export type DateRangeFieldEntryFilter = {
    min: Date | null
    max: Date | null
    dataType: "date-range"
}

export type DateRangeFieldEntry = {
    value: [null | Date, null | Date]
    dataType: "date-range"
}

export type DateFieldEntryFilter = {
    min: Date | null
    max: Date | null
    dataType: "date"
}

export type DateFieldEntry = {
    value: string | Date | null
    dataType: "date"
}

export type TextFieldEntryFilter = {
    value: string | null
    dataType: "text"
}

export type TextFieldEntry = {
    value: string | null
    dataType: "text"
}

export type EmailFieldEntryFilter = {
    value: string | null
    dataType: "email"
}

export type EmailFieldEntry = {
    value: string | null
    dataType: "email"
}

export type NumberFieldEntryFilter = {
    min: number | null
    max: number | null
    dataType: "number"
}

export type NumberFieldEntry = {
    value: number | null
    dataType: "number"
}

export type SelectFieldEntryFilter = {
    value: string | null
    dataType: "select"
}

export type SelectFieldEntry = {
    value: string | string[] | null
    dataType: "select"
}

export type CheckboxFieldEntryFilter = {
    value: boolean | null
    dataType: "checkbox"
}

export type CheckboxFieldEntry = {
    value: boolean | null
    dataType: "checkbox"
}

type FieldID = string

export type FieldEntriesFilter = {
    [key: FieldID]: FieldEntryFilter
}

export type FieldEntries = {
    [key: FieldID]: FieldEntry
}

export type FieldEntryValue = FieldEntry["value"]