import {FormSchema} from "./types.ts";
import {List, rem} from "@mantine/core";
import FormTypeIcon from "../FormTypeIcon.tsx";

/**
 * This component displays a preview of the form fields
 * @param formSchema
 */
export default function FormFieldsPreview({formSchema}: { formSchema: FormSchema }) {
    return <List center size={"sm"} spacing={"xs"}>
        {
            formSchema.fields.map((field, index) => {
                return <List.Item key={index} icon={<FormTypeIcon style={{width: rem(16), height: rem(16)}}
                                                                  fieldType={field.dataType}/>}>
                    {`${field.label}`}
                </List.Item>
            })
        }
    </List>
}