import {Checkbox, CheckboxProps, Input, InputWrapperProps} from '@mantine/core';
import classes from './index.module.css';
import InnerHtml from "@/components/InnerHtml";

export type CheckboxCardProps = InputWrapperProps & CheckboxProps

export function CheckboxCard(props: CheckboxCardProps) {

    return (
        <div className={classes.container} aria-error={!!props.error}>
            <Checkbox
                checked={props.checked}
                onChange={props.onChange}
                required={props.required}
                size="md"
                mr="xl"
                styles={{input: {cursor: 'pointer'}}}
                aria-hidden
            />

            <div className={classes.textContainer}>
                <Input.Label required={props.required}>{props.label}</Input.Label>
                {props.description &&
                    <Input.Description><InnerHtml html={props.description.toString() ?? ""}/></Input.Description>}
                {props.error && <Input.Error>{props.error}</Input.Error>}
            </div>
        </div>
    )
}