import NavBar from "./nav";
import {Outlet} from "react-router-dom";

import classes from "./index.module.css";
import Footer from "./footer";
import LoginModal from "@/components/auth/modals/LoginModal.tsx";
import UserMenuModal from "@/components/auth/modals/UserMenuModal.tsx";
import RegisterModal from "@/components/auth/modals/RegisterModal.tsx";
import EmailTokenVerification from "@/components/auth/modals/EmailTokenVerification.tsx";
import ForgotPasswordModal from "@/components/auth/modals/ForgotPasswordModal.tsx";
import ChangeEmailModal from "@/components/auth/modals/ChangeEmailModal.tsx";

export default function Layout({hideNav}: { hideNav?: boolean }) {
    return <div className={classes.container}>
        {!hideNav && <NavBar/>}

        <LoginModal/>
        <UserMenuModal/>
        <RegisterModal/>
        <EmailTokenVerification/>
        <ForgotPasswordModal/>
        <ChangeEmailModal/>

        <div className={`${classes.body} no-scrollbar`}>
            <div className={`${classes.content}`}>
                <Outlet/>
            </div>
            <Footer/>
        </div>
    </div>
}