import {Menu} from "@mantine/core";
import {NavLink} from "react-router-dom";
import {Fragment} from "react";
import {IconConfetti, IconHome, IconList, IconQrcode} from "@tabler/icons-react";


const NavItems = [
    {
        section: "StuVe IT",
        items: [
            {
                title: "Home",
                icon: IconHome,
                description: "Home",
                link: "/"
            },
        ]
    },
    {
        section: "Events",
        items: [

            {
                title: "Übersicht",
                icon: IconConfetti,
                description: "Übersicht über alle Events.",
                link: "/events"
            },
            {
                title: "Deine Anmeldungen",
                icon: IconList,
                description: "Deine Anmeldungen bei Events.",
                link: "/events/entries"
            },
        ]
    },
    {
        section: "Tools",
        items: [
            {
                title: "QR Code Generator",
                icon: IconQrcode,
                description: "Generiere einen QR Code",
                link: "/util/qr"
            }
        ]
    },
]

export default function MenuItems() {
    return <>
        {NavItems.map((section, index) => (
            <Fragment key={index + section.section}>
                <Menu.Label>
                    {section.section}
                </Menu.Label>
                {
                    section.items.map((item, index) => {
                        return (
                            <Menu.Item
                                key={index + item.title}
                                leftSection={<item.icon size={16}/>}
                                component={NavLink}
                                to={item.link}
                                aria-label={item.description}
                            >
                                {item.title}
                            </Menu.Item>
                        )
                    })
                }
            </Fragment>
        ))}
    </>
}