import PocketBase, {RecordModel, RecordService} from "pocketbase";
import {LdapGroupModel, LdapSyncLogModel, UserModal} from "./AuthTypes.ts";
import {
    EventListModel,
    EventListSlotEntriesWithUserModel,
    EventListSlotEntryModel,
    EventListSlotModel,
    EventListSlotsWithEntriesCountModel,
    EventModel
} from "./EventTypes.ts";

export type SettingsModel = {
    key: ['privacyPolicy', 'agb', 'stexGroup', 'stuveEventQuestions']
    value: string
    description?: string
    public?: boolean
} & RecordModel


export type LegalSettingsModal = {
    name: string,
    updated: string,
    legalText: string
} & RecordModel

export interface TypedPocketBase extends PocketBase {
    collection(idOrName: string): RecordService<RecordModel>

    collection(idOrName: 'settings'): RecordService<SettingsModel>

    collection(idOrName: 'legalSettings'): RecordService<LegalSettingsModal>

    collection(idOrName: 'users'): RecordService<UserModal>

    collection(idOrName: 'ldap_groups'): RecordService<LdapGroupModel>

    collection(idOrName: 'ldap_sync_logs'): RecordService<LdapSyncLogModel>

    collection(idOrName: 'events'): RecordService<EventModel>

    collection(idOrName: 'eventLists'): RecordService<EventListModel>

    collection(idOrName: 'eventListSlots'): RecordService<EventListSlotModel>

    collection(idOrName: 'eventListSlotEntries'): RecordService<EventListSlotEntryModel>

    collection(idOrName: 'eventListSlotsWithEntriesCount'): RecordService<EventListSlotsWithEntriesCountModel>

    collection(idOrName: 'eventListSlotEntriesWithUser'): RecordService<EventListSlotEntriesWithUserModel>
}