import {Outlet, Route, Routes} from "react-router-dom";
import NotFound from "../not-found/index.page.tsx";
import EventOverview from "@/pages/events/EventOverview/index.page.tsx";
import EventView from "./s/EventView.tsx";
import EventNavigate from "@/pages/events/EventNavigate.tsx";
import EditEventRouter from "@/pages/events/e/:eventId/EditEventRouter.tsx";
import UserEntries from "@/pages/events/entries/UserEntries.tsx";


export default function EventsRouter() {
    return <>
        <Routes>
            <Route index element={<EventOverview/>}/>
            <Route path={":eventId"} element={<EventNavigate/>}/>
            <Route path={"s/:eventId/*"} element={<EventView/>}/>
            <Route path={"e/:eventId/*"} element={<EditEventRouter/>}/>
            <Route path={"entries"} element={<UserEntries/>}/>
            <Route path={"*"} element={<NotFound/>}/>
        </Routes>
        <Outlet/>
    </>
}