import {EventModel} from "@/models/EventTypes.ts";
import {Alert} from "@mantine/core";
import {IconQuestionMark} from "@tabler/icons-react";
import InnerHtml from "@/components/InnerHtml";

/**
 * Displays the description of an event or a warning that there is none.
 * @param event
 * @constructor
 */
export default function EventDescription({event}: { event: EventModel }) {
    if (!event.description) {
        return <Alert
            icon={<IconQuestionMark/>}
            title={"Keine Beschreibung"}
            color={"orange"}
            children={"Dieses Event hat (noch) keine Beschreibung"}
        />
    }

    return (
        <div className={"section"}>
            <InnerHtml html={event.description ?? ""}/>
        </div>
    )
}